Skip to content

通话记录大模型质检抽取字段记录

请求信息

  • 接口: /agent-api/user/{user_id}/task/{task_id}/record/{record_id}/llm_intention_extract_fields
  • 请求方式: GET

路由参数

参数类型示例解释必填
user_idstring5832d184-dd53-42a0-8ace-0bf8d660f4cc用户 id
task_idstringf232d184-dd54-42a0-8ace-0bf8d660f4cc任务 id
record_idstring0000008f-271e-46c6-928a-a38a8ef37e4b通话记录 id

请求示例

cURL
curl -X GET "https://ai.api.longlonglong.cn/agent-api/user/5832d184-dd53-42a0-8ace-0bf8d660f4cc/task/f232d184-dd54-42a0-8ace-0bf8d660f4cc/record/0000008f-271e-46c6-928a-a38a8ef37e4b/llm_intention_extract_fields" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN"
Go
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    url := "https://ai.api.longlonglong.cn/agent-api/user/5832d184-dd53-42a0-8ace-0bf8d660f4cc/task/f232d184-dd54-42a0-8ace-0bf8d660f4cc/record/0000008f-271e-46c6-928a-a38a8ef37e4b/llm_intention_extract_fields"

    client := &http.Client{}
    req, _ := http.NewRequest("GET", url, nil)
    req.Header.Add("Content-Type", "application/json")
    req.Header.Add("Authorization", "Bearer YOUR_TOKEN")
    resp, _ := client.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
JavaScript
const userId = "5832d184-dd53-42a0-8ace-0bf8d660f4cc";
const taskId = "f232d184-dd54-42a0-8ace-0bf8d660f4cc";
const recordId = "0000008f-271e-46c6-928a-a38a8ef37e4b";
const url = `https://ai.api.longlonglong.cn/agent-api/user/${userId}/task/${taskId}/record/${recordId}/llm_intention_extract_fields`;

const response = await fetch(url, {
    method: "GET",
    headers: {
        "Content-Type": "application/json",
        "Authorization": "Bearer YOUR_TOKEN"
    }
});
const data = await response.json();
console.log(data);
Java
import java.net.URI;
import java.net.http.*;
import java.io.IOException;

public class Main {
    public static void main(String[] args) throws IOException, InterruptedException {
        String url = "https://ai.api.longlonglong.cn/agent-api/user/5832d184-dd53-42a0-8ace-0bf8d660f4cc/task/f232d184-dd54-42a0-8ace-0bf8d660f4cc/record/0000008f-271e-46c6-928a-a38a8ef37e4b/llm_intention_extract_fields";

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Content-Type", "application/json")
            .header("Authorization", "Bearer YOUR_TOKEN")
            .GET()
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
PHP
<?php

$userId = "5832d184-dd53-42a0-8ace-0bf8d660f4cc";
$taskId = "f232d184-dd54-42a0-8ace-0bf8d660f4cc";
$recordId = "0000008f-271e-46c6-928a-a38a8ef37e4b";

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://ai.api.longlonglong.cn/agent-api/user/{$userId}/task/{$taskId}/record/{$recordId}/llm_intention_extract_fields");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "Authorization: Bearer YOUR_TOKEN"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
Python
import requests

user_id = "5832d184-dd53-42a0-8ace-0bf8d660f4cc"
task_id = "f232d184-dd54-42a0-8ace-0bf8d660f4cc"
record_id = "0000008f-271e-46c6-928a-a38a8ef37e4b"
url = f"https://ai.api.longlonglong.cn/agent-api/user/{user_id}/task/{task_id}/record/{record_id}/llm_intention_extract_fields"

headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer YOUR_TOKEN"
}

response = requests.get(url, headers=headers)
print(response.json())
C++
#include <iostream>
#include <curl/curl.h>

size_t WriteCallback(void* contents, size_t size, size_t nmemb, void* userp) {
    ((std::string*)userp)->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl;
    CURLcode res;
    std::string readBuffer;

    curl = curl_easy_init();
    if (curl) {
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Content-Type: application/json");
        headers = curl_slist_append(headers, "Authorization: Bearer YOUR_TOKEN");

        std::string url = "https://ai.api.longlonglong.cn/agent-api/user/5832d184-dd53-42a0-8ace-0bf8d660f4cc/task/f232d184-dd54-42a0-8ace-0bf8d660f4cc/record/0000008f-271e-46c6-928a-a38a8ef37e4b/llm_intention_extract_fields";

        curl_easy_setopt(curl, CURLOPT_URL, url.c_str());
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &readBuffer);

        res = curl_easy_perform(curl);
        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);

        std::cout << readBuffer << std::endl;
    }
    return 0;
}

返回示例

json
{
    "code": 200,
    "status": "success",
    "message": "查看通话记录质检抽取字段记录成功",
    "data": {
        "extract_fields": [
            {
                "id": 1232404,
                "key": "name",
                "value": "姓名",
                "data_type": 1,
                "created_at": "2026-07-06 16:20:09"
            },
            {
                "id": 1232405,
                "key": "918f0251-22ad-4f73-9c2a-984ffbdf4912", //组件id
                "value": "自定义组件值", //组件值(抽取字段值)
                "data_type": 1,
                "created_at": "2026-07-06 16:20:09"
            }
        ]
    }
}

字段说明

字段说明
data.extract_fields抽取字段列表
data.extract_fields.*.id抽取字段 id
data.extract_fields.*.key字段 key(标准字段为字段名,自定义组件为组件 id)
data.extract_fields.*.value字段值(抽取字段值)
data.extract_fields.*.data_type数据类型
data.extract_fields.*.created_at创建时间

基于 MIT 许可发布